this.name           = "N-Shields_hemiglow";
this.author         = "Ngalo";
this.copyright      = "(C) 2016 'Ngalo'.";
this.licence        = "CC-NC-by-SA 3.0";
this.description    = "handles moving and removal of N-Shields hemisphere glow effects";
this.version        = "0.1";

this.effectSpawned = function ()
{
	//this.visualEffect.scale(this.ship.collisionRadius / 8)
	this.$removalTimer = new Timer(this, this.$removeEffect, 1); //0.25);
	this.FCB = addFrameCallback(this.$update.bind(this))
	log (this.name, "hemisphere glow spawned & configured for" + this.$parent.name)
	log (this.name, this.$removalTimer)
	//this.$frameCount = 0;
}

/*this.effectRemoved = function()
{
	if (this.$removalTimer)
	{
		this.$removalTimer.stop()
		delete this.$removalTimer;
	}
}*/

this.$reset = function()
{
	this.$removalTimer.stop();
	this.$removalTimer.nextTime = clock.absoluteSeconds + 1;
	this.$removalTimer.start();
}

this.$removeEffect = function()
{
	removeFrameCallback(this.FCB)
	delete this.$parent.script[this.$label];
	this.visualEffect.remove()
}

this.$update = function(delta)
{
	if (this.$parent.isValid)
	{
		this.visualEffect.position = this.visualEffect.position.add(this.$parent.velocity.multiply(delta));
	}
}