this.name = "NShields_player";

"use strict";

this.startUpComplete = function()
{
	//Give player same colours as standard NPCs
	player.ship.script.NShields_flareColours = worldScripts.NShields.$npcShieldColours;
	player.ship.script.NShields_exploders = worldScripts.NShields.$npcShieldExploders;
	
	if (player.ship.collisionRadius > 128) player.ship.script.NShields_sizeClass = "-XL";
	else if (player.ship.collisionRadius > 64) player.ship.script.NShields_sizeClass = "-L";
	else if (player.ship.collisionRadius > 32) player.ship.script.NShields_sizeClass = "-M";
	else if (player.ship.collisionRadius > 16) player.ship.script.NShields_sizeClass = "-S";
	else player.ship.script.NShields_sizeClass = "-XS";
	
	//unusual shields for player (Work In Progress)
	/*
	if (player.ship.scriptInfo)
	{
		if (player.ship.scriptInfo.NShields_colours) player.ship.script.NShields_flareColours = player.ship.scriptInfo.NShields_colours;
		if (player.ship.scriptInfo.NShields_config)
		{
			var configArray = player.ship.scriptInfo.NShields_config.split(" ");
			if (configArray[0] == "fore/aft")
			{
				var fsInfo = configArray[1].split(":");
				player.ship.maxForwardShield = fsInfo[0];
				player.ship.forwardShieldRechargeRate = fsInfo[1];
				if (configArray[2]) var asInfo = configArray[2].split(":");
				else asInfo = fsInfo;
				player.ship.maxAftShield = asInfo[0];
				player.ship.aftShieldRechargeRate = asInfo[1];
			}
			else
			{
				player.ship.maxForwardShield = player.ship.maxAftShield = 0;
				worldScripts.NShields.$configureShieldsFromArray(player.ship, configArray)
				//TODO: add handler to protect equipment
				player.ship.script.NShields_damageHandlers.push(this._equipmentProtector)
			}
		}
	}
	*/
}
this.shipTakingDamage = function(amount, whom, type)
{
	if (type == "heat damage" || type == "hit a planet" || type == "hit a sun" || type == "removed") return;
	var hitLocation = worldScripts.NShields.$locateHit(player.ship, whom);
	var hitLocationRelative = hitLocation.subtract(player.ship.position);
	if (hitLocationRelative.dot(player.ship.vectorForward) > 0)
	{
		worldScripts.NShields.$drawShieldFX(hitLocation, player.ship.forwardShield, player.ship, whom, "forwardShield")
	}
	else
	{
		worldScripts.NShields.$drawShieldFX(hitLocation, player.ship.aftShield, player.ship, whom, "aftShield")
	}
	
	if (amount) worldScripts.NShields.$drawSparks(hitLocation, player.ship, amount);
}
/*
this._equipmentProtector = function(amount, whom, type)
{
	if (amount) return; //some damage got through
	for (eq in player.ship.equipment)
	{
		
	}
}
*/